changeset 432:8c4b97cc63b8 prerelease

Fixed update_board.sh
author Giulio Moro <giuliomoro@yahoo.it>
date Thu, 16 Jun 2016 20:02:41 +0100
parents cfd1f896cc6f
children 6c6e29391ec9
files scripts/update_board.sh
diffstat 1 files changed, 3 insertions(+), 2 deletions(-) [+]
line wrap: on
line diff
--- a/scripts/update_board.sh	Thu Jun 16 20:02:05 2016 +0100
+++ b/scripts/update_board.sh	Thu Jun 16 20:02:41 2016 +0100
@@ -43,7 +43,7 @@
   exit
 }
 
-trap signal_handler SIGINT SIGTERM
+trap signal_handler 2 
 
 error_handler () {
  [ $1 -eq 0 ] && printf "done\n" || { [ -z "$2" ] && printf "\nAn error occurred. Is the board connected?\n" || printf "$2"; exit 1; }
@@ -152,10 +152,11 @@
 
 #-------------
 #Installing IDE
+[ $ALWAYS_YES -eq 0 ] && ALWAYS_YES_FLAG= || ALWAYS_YES_FLAG="-y"
 ls $IDE_FOLDER/scripts/setup_IDE.sh >/dev/null 2>/dev/null
 if [ $? -eq 0 ]
 then
-  cd $IDE_FOLDER/scripts && ./setup_IDE.sh -
+  cd $IDE_FOLDER/scripts && ./setup_IDE.sh $ALWAYS_YES_FLAG
   # run the IDE 
   ssh $BBB_ADDRESS "make -C $BBB_BELA_HOME --no-print-directory idestart"
 else